# .spec file adapted from Mandriva 2011
Summary:	A command line id3v2 tag editor
Name:		id3v2
Version:	0.1.12
Release:	%mkrel 10
License:	LGPLv2+
Group:		Sound/Utilities
URL:		http://id3v2.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/id3v2/%{name}-%{version}.tar.bz2
BuildRequires:	libid3-devel

%description
id3v2 is a command line id3v2 tag editor.
You can add/modifiy/delete id3v2 tags and convert
id3v1 tags to id3v2 tags.

%prep
%setup -q

%build
%set_build_flags
%make_build clean
%make_build

%install
install -m755 id3v2 -D %{buildroot}%{_bindir}/id3v2
install -m644 id3v2.1 -D %{buildroot}%{_mandir}/man1/id3v2.1

%files
%doc README
%{_bindir}/id3v2
%{_mandir}/man1/id3v2.1*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.12-10.mga8
+ Revision: 1513564
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.1.12-9.mga7
+ Revision: 1298277
- Mageia 7 Mass Rebuild

* Mon Aug 28 2017 daviddavid <daviddavid> 0.1.12-8.mga7
+ Revision: 1148417
- fix build using ours compile flags thus fixing empty debugsourcefiles.list
- fix license

* Sat Feb 06 2016 umeabot <umeabot> 0.1.12-7.mga6
+ Revision: 941161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.12-6.mga5
+ Revision: 750703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.12-5.mga5
+ Revision: 680460
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.12-4.mga4
+ Revision: 506012
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.12-3.mga3
+ Revision: 354239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 remmy <remmy> 0.1.12-2.mga3
+ Revision: 322542
- Change RPM group to align with new groups policy

* Fri Apr 20 2012 remmy <remmy> 0.1.12-1.mga2
+ Revision: 232110
- imported package id3v2


* Mon Jul 11 2011 Götz Waschk <waschk@mandriva.org> 0.1.12-2
+ Revision: 689503
- rebuild

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdv2011.0
+ Revision: 550360
- fix build
- new version
- drop patch
- update license

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.1.11-9mdv2009.0
+ Revision: 247199
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-7mdv2008.1
+ Revision: 101493
- fix bug 34944 (double free crash)

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-6mdv2008.0
+ Revision: 55235
- Import id3v2



* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2007.0
- Rebuild

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-5mdk
- Rebuild
- use mkrel

* Mon Feb 07 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.11-4mdk
- even better description:p

* Sat Feb 05 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.11-3mdk
- better description
- cosmetics

* Tue Jun 15 2004 GØtz Waschk <waschk@linux-mandrake.com> 0.1.11-2mdk
- rebuild for new g++

* Wed May  5 2004 GØtz Waschk <waschk@linux-mandrake.com> 0.1.11-1mdk
- drop prefix
- add source url
- new version

* Fri Apr  4 2003 GØtz Waschk <waschk@linux-mandrake.com> 0.1.9-2mdk
- new id3lib

* Tue Feb 25 2003 GØtz Waschk <waschk@linux-mandrake.com> 0.1.9-1mdk
- drop patch
- new version

* Mon Feb 24 2003 GØtz Waschk <waschk@linux-mandrake.com> 0.1.8-1mdk
- patch in missing namespace to make it compile
- new version

* Sat Dec 28 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.7-2mdk
- arrgh, don't use the included binaries

* Fri Dec 27 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.7-1mdk
- new version

* Mon Nov 25 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-6mdk
- rebuild with new id3lib

* Mon Nov  4 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-5mdk
- rebuild with new id3lib

* Fri Aug 16 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-4mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-3mdk
- gcc3.2

* Tue May 28 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-2mdk
- gcc3.1

* Mon Feb 18 2002 GØtz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- initial package
